/***************************************************************************
 *   Copyright (C) 2004 by Jens Luetkens                                   *
 *   j.luetkens@limitland.de                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kconfig.h>

#include "Ridge.h"
#include "RidgeClient.h"

using namespace RIDGE;

//
// Constructor
//
Ridge::Ridge()
{
	reset(1);
}

//
// Destructor
//
Ridge::~Ridge()
{
	m_initialized = false;
}

//
// createDecoration( KDecorationBridge *b )
//
KDecoration* Ridge::createDecoration( KDecorationBridge *b )
{
    return new RidgeClient(b, this);
}

//
// reset(unsigned long changed)
//
bool Ridge::reset(unsigned long changed)
{

    // read in the configuration
    m_initialized = false;

    // reset all clients
    resetDecorations( changed );

    m_initialized = true;

    return true;
}

//
// Plugin Stuff
//
extern "C"
{
    KDecorationFactory* create_factory()
    {
        return new Ridge();
    }
}

